Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Easy to use CD burning for Gnome
Name:		nautilus-cd-burner
Version:	2.25.3
Release:	1
Source0:	%{name}-%{version}.tar.bz2
License:	LGPL/GPL
Group:		User Interface/Desktops
BuildRoot:	%{_tmppath}/%{name}-root

# Requires
Requires: gnome-vfs
Requires: cdrecord
Requires: mkisofs
Requires: cdda2wav
Requires: cdrdao
Requires: dvd+rw-tools
Requires: hal
Requires: gnome-mount

Requires(post): GConf
Requires(pre): GConf
Requires(preun): GConf

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: atk-devel
BuildRequires: audiofile-devel
BuildRequires: avahi-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: esound-libs-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-keyring-devel
BuildRequires: gnome-vfs-devel
BuildRequires: gtk2+-devel
BuildRequires: hal-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libglade-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libgnomeui-devel
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: nautilus-extensions
BuildRequires: openssl-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: popt-devel
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
An easy to use CD burning package, well integrated with
Nautilus and the Gnome desktop.

%package	devel
Summary:	The files needed for nautilus-cd-burner application development
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk2+-devel
Requires:	nautilus-devel
Requires:	pkg-config

%description	devel
The nautilus-cd-burner-devel package contains the libraries and
include files that you can use to develop applications that
use the nautilus-cd-burner library.

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/nautilus-cd-burner.schemas >& /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gnome/gconf/schemas/nautilus-cd-burner.schemas >& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gnome/gconf/schemas/nautilus-cd-burner.schemas >& /dev/null || :
fi

%postun 
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%prep
%setup -q

%build
%configure \
--sysconfdir=%_sysconfdir/gnome \
--libexecdir=$(pkg-config --variable=prefix ORBit-2.0)/lib/nautilus-cd-burner
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%_sysconfdir/gnome/gconf/schemas
%_libdir/nautilus/extensions-2.0/*.so*
%_libdir/lib*.so.*
%_bindir/nautilus-cd-burner
%_datadir/nautilus-cd-burner
%_applications
%_datadir/icons
%_datadir/gtk-doc

%files devel
%defattr(-, root, root)
%_libdir/lib*.so
%_pkgconfig
%_includedir
%_libdir/nautilus/extensions-2.0/*.la
%_libdir/*.la

%changelog
* Fri Apr 03 2009 Christian Wasem <wasem@ccux-linux.de> 2.25.3-1
- Version update
* Sun Jan 11 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.0-1
- Version update
* Wed Apr 09 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Wed Apr 11 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.1-1
- Version update
* Tue Mar 20 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Sun Nov 19 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.2-4
- fixed requires for latest cdrtools package
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.2-3
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.2-2
- rebuild, moved libexec
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.2-1
- initial release